function update() {
	if type "apt-get" &> /dev/null; then
		sudo apt-get update;
		sudo apt-get upgrade;
		sudo apt-get dist-upgrade;
	fi
	if type "apk" &> /dev/null; then
		sudo apk update;
		sudo apk upgrade;
	fi
	if type "pacman" &> /dev/null; then
		sudo pacman -Syu;
	fi
	if type "yum" &> /dev/null; then
		yum upgrade;
	fi
	if type "snap" &> /dev/null; then
	        sudo snap refresh;
	fi
	if type "flatpak" &> /dev/null; then
	        flatpak update;
	fi
	if type "brew" &> /dev/null; then
			brew update;
			brew upgrade;
			brew cask upgrade;
	fi
}

